# Class MatrixPlotType

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.PlanePlotType
uk.ac.starlink.ttools.plot2.geom.MatrixPlotType

All Implemented Interfaces:
  `PlotType<PlaneSurfaceFactory.Profile, PlaneAspect>`

public class MatrixPlotType extends PlanePlotType
PlotType for a grid of plots. This is sometimes known as a "corner plot" or SPLOM (Scatter PLOt Matrix).

Since:
  16 Aug 2023
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PlaneSurfaceFactory.Config`
`MATRIX_CONFIG`
SurfaceFactory configuration for matrix plot.

## Constructor Summary

Constructors
Constructor
Description
`MatrixPlotType(PlaneSurfaceFactory surfFact, Plotter<?>[] plotters)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static InputMeta`
`getCoordMeta(int ic)`
Returns coordinate metadata for one of the spatial coordinates used by the matrix plot.
`static String`
`getCoordName(int ic)`
Returns the human-readable coordinate name for one of the spatial coordinates used by the matrix plot.
`GangerFactory<PlaneSurfaceFactory.Profile, PlaneAspect>`
`getGangerFactory()`
Returns the object that controls how multi-zone plots are arranged.
`static MatrixPlotType`
`getInstance()`
Returns the default instance of this plot type.
`String`
`toString()`

### Methods inherited from class PlanePlotType

`getPaperTypeSelector, getPlotters, getPointDataGeoms, getSurfaceFactory`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MATRIX_CONFIG

public static final PlaneSurfaceFactory.Config MATRIX_CONFIG
SurfaceFactory configuration for matrix plot.

## Constructor Details

### MatrixPlotType

public MatrixPlotType(PlaneSurfaceFactory surfFact, Plotter<?>[] plotters)
Constructor.

Parameters:
  `plotters` - plotters for use with this plot type

## Method Details

### getGangerFactory

public GangerFactory<PlaneSurfaceFactory.Profile, PlaneAspect> getGangerFactory()
Description copied from interface: `PlotType`
Returns the object that controls how multi-zone plots are arranged.

Specified by:
  `getGangerFactory` in interface `PlotType<PlaneSurfaceFactory.Profile, PlaneAspect>`
Overrides:
  `getGangerFactory` in class `PlanePlotType`
Returns:
  ganger factory

### toString

public String toString()

Overrides:
  `toString` in class `PlanePlotType`

### getInstance

public static MatrixPlotType getInstance()
Returns the default instance of this plot type.

Returns:
  instance

### getCoordMeta

public static InputMeta getCoordMeta(int ic)
Returns coordinate metadata for one of the spatial coordinates used by the matrix plot.

Parameters:
  `ic` - coordinate index (0-based)
Returns:
  user-facing metadata for coordinate

### getCoordName

public static String getCoordName(int ic)
Returns the human-readable coordinate name for one of the spatial coordinates used by the matrix plot.

Parameters:
  `ic` - coordinate index (0-based)
Returns:
  coordinate name